# norootforbuild

%define module_name mod_chroot
%define apxs               /usr/sbin/apxs2
%define apache_libexecdir  %(%{apxs} -q LIBEXECDIR)
%define apache_mmn         %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
#
Name: apache2-mod_chroot
Version: 0.5
Release: 2.12
#
Group: Productivity/Networking/Web/Servers
License: GPL
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: apache2-devel
#
URL: http://core.segfault.pl/~hobbit/mod_chroot/
Source: http://core.segfault.pl/~hobbit/mod_chroot/dist/%{module_name}-%{version}.tar.bz2
Patch: apache2-mod_chroot-0.5_unistd.patch
#
Summary: Running Apache in a secure chroot environment.
%description
mod_chroot makes running Apache in a secure chroot environment easy. You
don't need to create a special directory hierarchy containing /dev, /lib,
/etc.


Authors:
---------
    Marek Gutkowski <hobbit@core.segfault.pl>

%prep
%setup -n %{module_name}-%{version}
%patch

%build
%{apxs} -c %{module_name}.c

%install
%{__install} -Dd -m 0755  %{buildroot}%{apache_libexecdir}
%{apxs} -i -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" \
    -n %{module_name} %{module_name}.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{apache_libexecdir}/%{module_name}.so
%doc CAVEATS ChangeLog INSTALL LICENSE README README.Apache20
%changelog
* Mon Jan 23 2006 mrueckert@suse.de
- Initial package of version 0.5
- added apache2-mod_chroot-0.5_unistd.patch
  fixes implicit declaration warning
